Summary:        Utility for converting bitmaps to vector graphics
Name:           autotrace
Version:        0.31.9
Release:        1%{?dist}
License:        GPLv2+ and LGPLv2+
URL:            http://autotrace.sourceforge.net/
Source0:        https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0001:      autotrace-0.31.9-expected-test-failure-no-imagemagick.patch

BuildRequires:	autoconf automake gcc gcc-c++ gettext-devel glib2-devel
BuildRequires:	intltool libpng-devel libstdc++-devel libtiff-devel libtool
BuildRequires:	make procps-ng

%description
AutoTrace is a program for converting bitmaps to vector graphics, which supports
input formats include BMP, TGA, PNM, PPM, and any format, whereas output can be
produced in Postscript, SVG, xfig, SWF, and others.

%package        devel
Summary:        Header files for autotrace
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
This package provides header files and development libraries for autotrace.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure \
    --without-magick \
    --without-pstoedit


%install
%make_install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'
%find_lang %{name}


%check
make check


%files -f %{name}.lang
%license COPYING COPYING.LIB
%doc AUTHORS ChangeLog FAQ NEWS README.md THANKS TODO
%{_bindir}/autotrace
%{_libdir}/*.so.*
%{_mandir}/man[^3]/*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/autotrace.pc
%{_includedir}/autotrace/


%changelog
* Thu Oct 19 2023 kianli <kianli@tencent.com> - 0.31.9-1
- Upgrade to 0.31.9
- Fix CVE-2022-32323

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 kianli <kianli@tencent.com> - 0.31.1-4
- Rebuilt for libtiff 4.5.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.31.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Shuo Wang <abushwang@tencent.com> - 0.31.1-1
- initial build
